require 'studio_game/epiphany_trove'
require 'studio_game/spec_helper'

module StudioGame   
  describe Epiphany do
  
    before do
      @epiphany = Epiphany.new(:that_thinking_necessitates_existing, 50)
    end
  
    it "has a name attribute" do
      @epiphany.name.should == :that_thinking_necessitates_existing
    end
  
    it "has a points attribute" do
      @epiphany.points.should == 50
    end
  
  end

  describe EpiphanyTrove do
  
    it "has eleven epiphanies" do
      EpiphanyTrove::EPIPHANIES.size.should == 11
    end
  
    it "has an epiphany worth -100 points" do
      EpiphanyTrove::EPIPHANIES[0].should == Epiphany.new(:sloppy_thinking, -100)
    end
  
    it "has an epiphany worth 2 points" do
      EpiphanyTrove::EPIPHANIES[1].should == Epiphany.new(:berserker_knowledge, 2)
    end
  
    it "has an epiphany worth 5 points" do
      EpiphanyTrove::EPIPHANIES[2].should == Epiphany.new(:that_the_unexamined_life_is_not_worth_living, 5)
    end
  
    it "has an epiphany worth 25 points" do
      EpiphanyTrove::EPIPHANIES[3].should == Epiphany.new(:the_problem_of_the_one_and_the_many, 20)
    end
  
    it "has an epiphany worth 25 points" do
      EpiphanyTrove::EPIPHANIES[4].should == Epiphany.new(:logic, 30)
    end
  
    it "has an epiphany worth 50 points" do
      EpiphanyTrove::EPIPHANIES[5].should == Epiphany.new(:an_indubitable_truth, 50)
    end
  
    it "has an epiphany worth 80 points" do
      EpiphanyTrove::EPIPHANIES[6].should == Epiphany.new(:the_authentic_self, 80)
    end
  
    it "has an epiphany worth 100 points" do
      EpiphanyTrove::EPIPHANIES[7].should == Epiphany.new(:a_monad, 100)
    end
  
    it "has an epiphany worth 150 points" do
      EpiphanyTrove::EPIPHANIES[8].should == Epiphany.new(:why_something_exists_rather_than_nothing, 150)
    end

    it "has an epiphany worth 200 points" do
      EpiphanyTrove::EPIPHANIES[9].should == Epiphany.new(:the_problem_of_induction, 200)
    end
  
    it "has an epiphany worth 400 points" do
      EpiphanyTrove::EPIPHANIES[10].should == Epiphany.new(:the_distinction_between_the_noumena_and_the_phenomena, 400)
    end
  
    it "returns a random treasure" do
      epiphany = EpiphanyTrove.random

      EpiphanyTrove::EPIPHANIES.should include(epiphany)
    end

  end
end