require 'studio_game/sloppy_philosopher'
require 'studio_game/spec_helper'

module StudioGame
  describe SloppyPhilosopher do
    before do
      @player = SloppyPhilosopher.new("klutz")
      $stdout = StringIO.new
    end
  
    it "only gets half the point value for each treasure" do
      @player.points.should == 0
    
      an_indubitable_truth = Epiphany.new(:an_indubitable_truth, 50)
      @player.discovered_epiphanies(an_indubitable_truth)
      @player.discovered_epiphanies(an_indubitable_truth)
      @player.discovered_epiphanies(an_indubitable_truth)
    
      @player.points.should == 75
    
      the_problem_of_induction = Epiphany.new(:the_problem_of_induction, 200)
      @player.discovered_epiphanies(the_problem_of_induction)
    
      @player.points.should == 175
    
      yielded = []
    
      @player.each_discovered_epiphany do |epiphany|
        yielded << epiphany
      end
    
      yielded.should == [Epiphany.new(:an_indubitable_truth, 75), Epiphany.new(:the_problem_of_induction, 100)]
    end
  
    context "it gets wooted extra times" do
      before do
        @initial_health = 200
        @player = SloppyPhilosopher.new("klutz", @initial_health)
      end
    
      it "gets wooted 2 extra times every three times it is w00ted" do
        3.times { @player.w00t }
      
        @player.health.should == @initial_health + (15 * 5)
      end
    end
  end
end
    
    